routes/web.php
<?php
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Auth::routes();

// Middleware for auth
Route::middleware(['auth'])->group(function () {

	// Dashboard
	Route::get('/', 'Panel\DashboardController@index')->name('dashboard');

	// Users
	Route::get('/user', 'Panel\UserController@index')->name('user.index');
	Route::get('/user/{userEncryptId}/edit', 'Panel\UserController@edit')->name('user.edit');
	Route::get('/user/{userEncryptId}', 'Panel\UserController@show')->name('user.show');
	Route::put('/user/{userEncryptId}', 'Panel\UserController@update')->name('user.update');
	Route::delete('/user/{userEncryptId}', 'Panel\UserController@destroy')->name('user.destroy');

	// Caserecord
	// Route::get('/case-record/search/imei', 'Panel\CaseRecordController@searchImei')->name('case-record.imei-seach');
	Route::resource('case-record', 'Panel\CaseRecordController')->parameters(['case-record' => 'caseEncryptId']);
	Route::post('/case-record/{caseEncryptId}/assign', 'Panel\CaseRecordController@assignCaseRecord')->name('case-record.assign');
	Route::get('/case-record/{caseEncryptId}/pdf', 'Panel\CaseRecordController@pdfCaseRecord')->name('case-record.pdf');
	Route::get('/case-record/{caseEncryptId}/files', 'Panel\CaseRecordController@files')->name('case-record.files');
	Route::delete('/case-record/{caseEncryptId}/file/{uploadedFileEncryptId}', 'Panel\CaseRecordController@fileDestroy')->name('case-record.file.destroy');
	Route::get('/case-record/{caseEncryptId}/types-table-data', 'Panel\CaseRecordController@typesTableData')->name('case-record.types-table-data');
	Route::post('/case-record/{caseEncryptId}/is-malicious', 'Panel\CaseRecordController@isMalicious')->name('case-record.is-malicious');

	// Wallet
	Route::get('/wallet-data/{caseEncryptId}/add', 'Panel\WalletController@addData')->name('wallet.data.add');
	Route::post('/wallet-data/{caseEncryptId}/add', 'Panel\WalletController@uploadFile')->name('wallet.data.submit');
	// Route::get('/wallet-data/{caseEncryptId}/view', 'Panel\WalletController@viewData')->name('wallet.data.view');

	// Cdr
	Route::get('/cdr-data/{caseEncryptId}/add', 'Panel\CdrController@addData')->name('cdr.data.add');
	Route::post('/cdr-data/{caseEncryptId}/add', 'Panel\CdrController@uploadFile')->name('cdr.data.submit');
	// Route::get('/cdr-data/{caseEncryptId}/view', 'Panel\CdrController@viewData')->name('cdr.data.view');
	// Route::post('/cdr-data/{caseEncryptId}/is-malicious', 'Panel\CdrController@isMalicious')->name('cdr.data.is-malicious');


	// Resource Routes
	// Route::resources([
	// 	'case-record' => 'Panel\CaseRecordController',
	// ]);
});

// Temporery close
// Route::get('/home', 'HomeController@index')->name('home');
// 








// Define Global Variables

define('PRIORITY', 
	array_combine(range(1, count(['High', 'Medium', 'Low'])), array_values(['High', 'Medium', 'Low']))
);

define('APPLICATION_FROM', 
	array_combine(range(1, count(['Spl CD Crime', 'CP Ahmedabad', 'Govt DC', 'Other'])), array_values(['Spl CD Crime', 'CP Ahmedabad', 'Govt DC', 'Other']))
);

define('CASE_TRANSFER_TO', 
	array_combine(range(1, count(['Police Station', 'CBI', 'Other'])), array_values(['Police Station', 'CBI', 'Other']))
);

define('MODEL_PATH', 'App\\Models\\');

define('MODELS', [
	'model1' => 'AirtelMoney',
	'model2' => 'BillDesk',
	'model3' => 'CcAvenue',
	'model4' => 'CdrAirtel',
	'model5' => 'CdrBSNL',
	'model6' => 'CdrIdea',
	'model7' => 'CdrJio',
	'model8' => 'CdrTelenor',
	'model9' => 'CdrVodafone',
	'model10' => 'Flipkart',
	'model11' => 'Freecharge',
	'model12' => 'MPesa',
	'model13' => 'PaytmTxn',
	'model14' => 'PaytmTxnHistory',
	'model15' => 'PaytmTxnPerson',
]);

define('OPTION', [
	'option1' => 'WalletType',
	'option2' => 'CdrType',
]);


// Algorith for getting all models
// $path = app_path() . "/Models";

// function getModels($path){
// 	$out = [];
// 	$results = scandir($path);
// 	foreach ($results as $result) {
// 		if ($result === '.' or $result === '..') continue;
// 		$filename = $path . '/' . $result;
// 		if (is_dir($filename)) {
// 			$out = array_merge($out, getModels($filename));
// 		}else{
// 			$out[] = ucfirst(substr($filename,26,-4));
// 		}
// 	}
// 	return $out;
// }

// dd(getModels($path));

app/Models/CaseRecord.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class CaseRecord extends Model
{
	use SoftDeletes;

	protected $table = 'case_record';
	protected $fillable = [
		'case_id',
		'applicant_name',
		'applicant_mobile',
		'applicant_email',
		'applicant_address',
		'case_status',
		'case_type',
		'remarks',
		'priority',
		'expected_to_close',
		'application_from',
		'case_tranfer_to',
		'image',
		'assigned_to',
		'history',
		'created_by',
		'updated_by',
	];

	static function essence($key = NULL)
	{

		$data = array(
			'name' => 'Case Record',
			'directory' => 'case record',
		);

		return array_key_exists($key, $data) ? $data[$key] : NULL;

	}

	public function caseType()
	{
		return $this->belongsTo('App\Models\CaseType', 'case_type');
	}

	public function assignedTo()
	{
		return $this->belongsTo('App\Models\User', 'assigned_to');
	}

	public function createdBy()
	{
		return $this->belongsTo('App\Models\User', 'created_by');
	}

	public function updatedBy()
	{
		return $this->belongsTo('App\Models\User', 'updated_by');
	}
}

app/Http/Controllers/Panel/CaseRecordController.php
<?php

namespace App\Http\Controllers\Panel;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

use Exception;
use App\Models\CaseRecord;
use App\Models\CaseType;
use App\Models\User;
use Illuminate\Support\Facades\Auth;
use TCPDF;
use App\Models\PaytmTxn;
use App\Models\PaytmTxnPerson;
use App\Models\PaytmTxnHistory;
use App\Models\WalletType;
use App\Models\AirtelMoney;
use App\Models\BillDesk;
use App\Models\CcAvenue;
use App\Models\Flipkart;
use App\Models\Freecharge;
use App\Models\MPesa;

use App\Models\CdrAirtel;
use App\Models\CdrBSNL;
use App\Models\CdrIdea;
use App\Models\CdrJio;
use App\Models\CdrTelenor;
use App\Models\CdrVodafone;

use App\Models\UploadedFile;
use Yajra\Datatables\Datatables;
use Illuminate\Support\Facades\DB;

class CaseRecordController extends Controller
{
	/**
	 * Instantiate a new controller instance.
	 *
	 * @return void
	 */
	public function __construct()
	{
		$this->middleware('privilege')->only('create', 'store', 'assign', 'destroy', 'assignCaseRecord');
		$this->middleware('CheckCaseRecordAssign')->only('show', 'edit', 'update', 'pdfCaseRecord', 'isMalicious', 'typesTableData');
	}

	/**
	 * Display a listing of the resource.
	 *
	 * @return \Illuminate\Http\Response
	 */
	public function index()
	{
		$caseRecord = CaseRecord::orderBy('id', 'desc')->with('caseType', 'assignedTo');

		// check case assign
		if (auth()->user()->privilege() === FALSE) {
			$caseRecord->where('assigned_to', auth()->user()->id);
		}

		$caseRecord = $caseRecord->get();

		return view('panel.case-record.index', compact('caseRecord'));
	}

	/**
	 * Show the form for creating a new resource.
	 *
	 * @return \Illuminate\Http\Response
	 */
	public function create()
	{
		$CaseType = CaseType::all();
		return view('panel.case-record.create', compact('CaseType'));
	}

	/**
	 * Store a newly created resource in storage.
	 *
	 * @param  \Illuminate\Http\Request  $request
	 * @return \Illuminate\Http\Response
	 */
	public function store(Request $request)
	{
		$request->validate(
			[
				'name' => 'required|string',
				'mobileNumber' => 'required|numeric|digits:10',
				'email' => 'required|email',
				'address' => 'required|string',
				'caseType' => 'required|numeric|exists:case_type,id',
				"remarks" => 'nullable|string',
				'priority' => 'nullable|numeric|digits_between:1,'.count(constant('PRIORITY')),
				'expected_to_close' => 'nullable|date|after_or_equal:'.date('d-m-Y'),
				'application_from' => 'nullable|numeric|digits_between:1,'.count(constant('APPLICATION_FROM')),
				'case_tranfer_to' => 'nullable|numeric|digits_between:1,'.count(constant('CASE_TRANSFER_TO')),
				'image' => 'nullable|image',
			],
			[
				'*.digits_between' => 'Sorry please select valid item!',
			]
		);

		// Store request in valiable
		$name = $request->name;
		$mobileNumber = $request->mobileNumber;
		$email = $request->email;
		$address = $request->address;
		$caseType = $request->caseType;
		$remarks = $request->remarks;
		$priority = $request->priority;
		$expectedToClose = $request->expected_to_close;
		$applicationFrom = $request->application_from;
		$caseTranferTo = $request->case_tranfer_to;
		$image = $request->image;

		// Generate case id
		$lastCaseId = CaseRecord::select('id')->orderBy('id', 'DESC')->first();
		!empty($lastCaseId)?$last_case_id=$lastCaseId->id:$last_case_id=0;
		$case_id = date('Y').'/'.date('M').'/'.($last_case_id+1);

		// Create caseRecord
		$data = [
			'case_id' => $case_id,
			'applicant_name' => $name,
			'applicant_mobile' => $mobileNumber,
			'applicant_email' => $email,
			'applicant_address' => $address,
			'case_status' => 1,
			'case_type' => $caseType,
			'remarks' => $remarks,
			'priority' => $priority,
			'application_from' => $applicationFrom,
			'case_tranfer_to' => $caseTranferTo,
			'image' => $request->hasFile('image') ? $image->hashName() : NULL,
			'created_by' => Auth::user()->id,
			'updated_by' => Auth::user()->id,
		];

		if (auth()->user()->privilege()) {

			$extra = [
				'expected_to_close' => !empty($expectedToClose) ? date('Y-m-d', strtotime($expectedToClose)) : NULL,
			];

			$data = array_merge($data, $extra);

		}

		$caseRecord = CaseRecord::updateOrCreate($data);

		return redirect()->route('case-record.show', param_encrypt($caseRecord->id))->with('success', 'Add CaseRecord Successfully!');
	}

	/**
	 * Display the specified resource.
	 *
	 * @param  int  $id
	 * @return \Illuminate\Http\Response
	 */
	public function show($caseEncryptId)
	{
		$caseId = param_decrypt($caseEncryptId);

		$caseRecord = CaseRecord::with('caseType', 'assignedTo', 'createdBy', 'updatedBy')->where('id', $caseId)->firstOrFail();

		if (auth()->user()->privilege() === FALSE) {
			return view('panel.case-record.show', compact('caseRecord'));
		} else {
			$user = User::all();
			return view('panel.case-record.show', compact('caseRecord', 'user'));
		}
	}

	/**
	 * Show the form for editing the specified resource.
	 *
	 * @param  int  $id
	 * @return \Illuminate\Http\Response
	 */
	public function edit($caseEncryptId)
	{
		$caseId = param_decrypt($caseEncryptId);
		$caseRecord = CaseRecord::findOrFail($caseId);
		$CaseType = CaseType::all();
		return view('panel.case-record.edit', compact('caseRecord', 'CaseType'));		
	}

	/**
	 * Update the specified resource in storage.
	 *
	 * @param  \Illuminate\Http\Request  $request
	 * @param  int  $id
	 * @return \Illuminate\Http\Response
	 */
	public function update(Request $request, $caseEncryptId)
	{
		$request->validate(
			[
				'name' => 'required|string',
				'mobileNumber' => 'required|numeric|digits:10',
				'email' => 'required|email',
				'address' => 'required|string',
				'caseType' => 'required|numeric|exists:case_type,id',
				"remarks" => 'nullable|string',
				'priority' => 'nullable|numeric|digits_between:1,'.count(constant('PRIORITY')),
				'expected_to_close' => 'nullable|date|after_or_equal:'.date('d-m-Y'),
				'application_from' => 'nullable|numeric|digits_between:1,'.count(constant('APPLICATION_FROM')),
				'case_tranfer_to' => 'nullable|numeric|digits_between:1,'.count(constant('CASE_TRANSFER_TO')),
			],
			[
				'*.digits_between' => 'Sorry please select valid item!',
			]
		);

		// Store request in valiable
		$name = $request->name;
		$mobileNumber = $request->mobileNumber;
		$email = $request->email;
		$address = $request->address;
		$caseType = $request->caseType;
		$remarks = $request->remarks;
		$caseId = param_decrypt($caseEncryptId);
		$priority = $request->priority;
		$expectedToClose = $request->expected_to_close;
		$applicationFrom = $request->application_from;
		$caseTranferTo = $request->case_tranfer_to;

		// Update caseRecord
		$data = [
			'applicant_name' => $name,
			'applicant_mobile' => $mobileNumber,
			'applicant_email' => $email,
			'applicant_address' => $address,
			'case_status' => 1,
			'case_type' => $caseType,
			'priority' => $priority,
			'application_from' => $applicationFrom,
			'case_tranfer_to' => $caseTranferTo,
			'remarks' => $remarks,
			'updated_by' => Auth::user()->id,
		];

		if (auth()->user()->privilege()) {

			$extra = [
				'expected_to_close' => !empty($expectedToClose) ? date('Y-m-d', strtotime($expectedToClose)) : NULL,
			];

			$data = array_merge($data, $extra);

		}

		CaseRecord::find($caseId)->update($data);

		return redirect()->route('case-record.show', $caseEncryptId)->with('success', 'Successfully update caserecord!');
	}

	/**
	 * Remove the specified resource from storage.
	 *
	 * @param  int  $id
	 * @return \Illuminate\Http\Response
	 */
	public function destroy($caseEncryptId)
	{
		CaseRecord::destroy(param_decrypt($caseEncryptId));
		return redirect()->route('case-record.index');
	}

	/**
	 * Assign the specified resource from storage.
	 *
	 * @param  int  $id
	 * @return \Illuminate\Http\Response
	 */
	public function assignCaseRecord(Request $request, $caseEncryptId)
	{
		$request->validate([
			'user' => 'required|numeric|exists:users,id',
		]);
		$caseId = param_decrypt($caseEncryptId);
		$assignTo = $request->user;

		$history = [
			['assignTo' => $assignTo,'timestamp' => time()]
		];

		$caseRecord = CaseRecord::findOrFail($caseId);
		$caseHistory = json_decode($caseRecord->history);
		if (is_array($caseHistory)) {
			$history = array_merge($caseHistory,$history);
		}

		$caseRecord->history = json_encode($history);
		$caseRecord->assigned_to = $assignTo;
		$caseRecord->save();

		return redirect()->route('case-record.show', compact('caseEncryptId'))->with('success', 'Successfully Assign!');
	}

	public function pdfCaseRecord(Request $request, $caseEncryptId)
	{
		// Define variables
		$temp1 = array();
		$data = array();
		$models = array();
		$fields = ['case_record_id', 'uploaded_file', 'created_by', 'updated_by', 'created_at', 'updated_at'];

		$caseId = param_decrypt($caseEncryptId);
		$caseRecord = CaseRecord::findOrFail($caseId);
		$tableName = array();

		$walletType = WalletType::all();

		foreach ($walletType as $key => $value) {
			$temp1 = explode(',', $value->model_name);
			$models = array_merge($models, $temp1);
		}

		foreach ($models as $key => $value) {
			$model = constant('MODEL_PATH').$value;

			if (class_exists($model)) {

				$tableData = $model::where(
					[
						['case_record_id', $caseId],
						['is_malicious', '1'],
					]
				)->get();

				$tableData = $tableData->makeHidden($fields)->toArray();

				if (count($tableData) > 0) {
					array_push($data, $tableData);
					array_push($tableName, $model);
				}

			} else {
				continue;
			}
		}

		$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);
		// print_r($pdf);exit();

		// set document information
		$pdf->SetCreator(PDF_CREATOR);
		$pdf->SetAuthor('Ahmedabad Crime Cell');
		$pdf->SetTitle('Case record ' . $caseRecord->id);
		// $pdf->SetSubject('TCPDF Tutorial');
		// $pdf->SetKeywords('TCPDF, PDF, example, test, guide');

		// remove default header/footer
		$pdf->setPrintHeader(false);

app/Http/Controllers/Panel/DashboardController.php
<?php

namespace App\Http\Controllers\Panel;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

use Exception;
use App\Models\CaseRecord;
use Illuminate\Support\Facades\Auth;

class DashboardController extends Controller
{
	/**
	 * Instantiate a new controller instance.
	 *
	 * @return void
	 */
	public function __construct()
	{
	}

	/**
	 * Display a listing of the resource.
	 *
	 * @return \Illuminate\Http\Response
	 */
	public function index()
	{
		$totalCase = CaseRecord::count();
		$completedCase = CaseRecord::where('case_status', 0)->count();
		$pendingCase = $totalCase - $completedCase;

		return view('panel.index', compact('totalCase', 'completedCase', 'pendingCase'));
	}
}

resources/views/panel/case-record/create.blade.php
@extends('panel.layouts.app')

@section('title', 'Add CaseRecord')

@section('content')
<main class="app-content">
	<div class="app-title">
		<div>
			<h1>Add CaseRecord</h1>
		</div>
	</div>
	<div class="row">
		<div class="col-md-12">
			<div class="tile">
				<div class="tile-body">
					<form class="form-horizontal" method="POST" action="{{ route('case-record.store') }}" enctype="multipart/form-data" autocomplete="off">
						@csrf
						<div class="form-group row mt-2">
							<label class="control-label col-md-3">{{ __('Name') }}</label>
							<div class="col-md-8">
								<input type="text" class="form-control{{ $errors->has('name') ? ' is-invalid' : '' }}" name="name" value="{{ old('name') }}" placeholder="Enter full name"  autofocus>

								@if ($errors->has('name'))
									<span class="invalid-feedback" role="alert">
										<strong>{{ $errors->first('name') }}</strong>
									</span>
								@endif
							</div>
						</div>
						<div class="form-group row">
							<label class="control-label col-md-3">{{ __('Mobile Number') }}</label>
							<div class="col-md-8">
								<input type="text" class="form-control{{ $errors->has('mobileNumber') ? ' is-invalid' : '' }}" name="mobileNumber" value="{{ old('mobileNumber') }}" placeholder="Enter mobile number"  autofocus>

								@if ($errors->has('mobileNumber'))
									<span class="invalid-feedback" role="alert">
										<strong>{{ $errors->first('mobileNumber') }}</strong>
									</span>
								@endif
							</div>
						</div>
						<div class="form-group row">
							<label class="control-label col-md-3">{{ __('Email') }}</label>
							<div class="col-md-8">
								<input type="text" class="form-control{{ $errors->has('email') ? ' is-invalid' : '' }}" name="email" value="{{ old('email') }}" placeholder="Enter email"  autofocus>

								@if ($errors->has('email'))
									<span class="invalid-feedback" role="alert">
										<strong>{{ $errors->first('email') }}</strong>
									</span>
								@endif
							</div>
						</div>
						<div class="form-group row">
							<label class="control-label col-md-3">{{ __('Address') }}</label>
							<div class="col-md-8">
								<textarea type="text" rows="4" class="form-control{{ $errors->has('address') ? ' is-invalid' : '' }}" name="address" placeholder="Enter applicant address"  autofocus>{{ old('address') }}</textarea>

								@if ($errors->has('address'))
									<span class="invalid-feedback" role="alert">
										<strong>{{ $errors->first('address') }}</strong>
									</span>
								@endif
							</div>
						</div>
						<div class="form-group row">
							<label class="control-label col-md-3">{{ __('Case Type') }}</label>
							<div class="col-md-8">
								<select class="form-control{{ $errors->has('caseType') ? ' is-invalid' : '' }}" name="caseType"  autofocus>
									<option value="">Select Case Type</option>
									@foreach ($CaseType as $key => $value)   
										@if( old('caseType') == $value->id )
											<option value="{{ $value->id }}" selected>{{ $value->name }}</option>
										@else
											<option value="{{ $value->id }}">{{ $value->name }}</option>
										@endif
									@endforeach
								</select>
								@if ($errors->has('caseType'))
									<span class="invalid-feedback" role="alert">
										<strong>{{ $errors->first('caseType') }}</strong>
									</span>
								@endif
							</div>
						</div>
						<div class="form-group row">
							<label class="control-label col-md-3">{{ __('Remarks') }}</label>
							<div class="col-md-8">
								<textarea type="text" rows="4" class="form-control{{ $errors->has('remarks') ? ' is-invalid' : '' }}" name="remarks" placeholder="Enter remarks"  autofocus>{{ old('remarks') }}</textarea>

								@if ($errors->has('remarks'))
									<span class="invalid-feedback" role="alert">
										<strong>{{ $errors->first('remarks') }}</strong>
									</span>
								@endif
							</div>
						</div>
						<div class="form-group row">
							<label class="control-label col-md-3">{{ __('Priority') }}</label>
							<div class="col-md-8">
								<select class="form-control{{ $errors->has('priority') ? ' is-invalid' : '' }}" name="priority"  autofocus>
									<option value="">Select Priority</option>
									@foreach (constant('PRIORITY') as $key => $value)   
										@if( old('priority') == $key )
											<option value="{{ $key }}" selected>{{ $value }}</option>
										@else
											<option value="{{ $key }}">{{ $value }}</option>
										@endif
									@endforeach
								</select>
								@if ($errors->has('priority'))
									<span class="invalid-feedback" role="alert">
										<strong>{{ $errors->first('priority') }}</strong>
									</span>
								@endif
							</div>
						</div>
						@if(Auth::User()->privilege())
							<div class="form-group row">
								<label class="control-label col-md-3">{{ __('Expected to close') }}</label>
								<div class="col-md-8">
									<input id="expected_to_close" class="form-control{{ $errors->has('expected_to_close') ? ' is-invalid' : '' }}" name="expected_to_close" type="text" value="{{ old('expected_to_close') }}" placeholder="Select Date">
									@if ($errors->has('expected_to_close'))
										<span class="invalid-feedback" role="alert">
											<strong>{{ $errors->first('expected_to_close') }}</strong>
										</span>
									@endif
								</div>
							</div>
						@endif
						<div class="form-group row">
							<label class="control-label col-md-3">{{ __('Application from') }}</label>
							<div class="col-md-8">
								<select class="form-control{{ $errors->has('application_from') ? ' is-invalid' : '' }}" name="application_from"  autofocus>
									<option value="">Select Application From</option>
									@foreach (constant('APPLICATION_FROM') as $key => $value)   
										@if( old('application_from') == $key )
											<option value="{{ $key }}" selected>{{ $value }}</option>
										@else
											<option value="{{ $key }}">{{ $value }}</option>
										@endif
									@endforeach
								</select>
								@if ($errors->has('application_from'))
									<span class="invalid-feedback" role="alert">
										<strong>{{ $errors->first('application_from') }}</strong>
									</span>
								@endif
							</div>
						</div>
						<div class="form-group row">
							<label class="control-label col-md-3">{{ __('Case transfer to') }}</label>
							<div class="col-md-8">
								<select class="form-control{{ $errors->has('case_tranfer_to') ? ' is-invalid' : '' }}" name="case_tranfer_to"  autofocus>
									<option value="">Select Case Transfer To</option>
									@foreach (constant('CASE_TRANSFER_TO') as $key => $value)   
										@if( old('case_tranfer_to') == $key )
											<option value="{{ $key }}" selected>{{ $value }}</option>
										@else
											<option value="{{ $key }}">{{ $value }}</option>
										@endif
									@endforeach
								</select>
								@if ($errors->has('case_tranfer_to'))
									<span class="invalid-feedback" role="alert">
										<strong>{{ $errors->first('case_tranfer_to') }}</strong>
									</span>
								@endif
							</div>
						</div>
						{{--<div class="form-group row">
							<label class="control-label col-md-3">{{ __('Attach image') }}</label>
							<div class="col-md-8">
								<input class="form-control{{ $errors->has('image') ? ' is-invalid' : '' }}" type="file" name="image" >
								@if ($errors->has('image'))
									<span class="invalid-feedback" role="alert">
										<strong>{{ $errors->first('image') }}</strong>
									</span>
								@endif
							</div>
						</div>--}}
						<div class="tile-footer">
							<div class="row">
								<div class="col-md-12">
									<button class="btn btn-primary m-2 float-right" type="submit"><i class="fa fa-fw fa-lg fa-check-circle"></i>Register</button>
									<button onclick="pageReload()" class="btn btn-secondary m-2 float-right" type="button"><i class="fa fa-fw fa-lg fa-times-circle"></i>Cancel</button>
								</div>
							</div>
						</div>
					</form>
				</div>
			</div>
		</div>
	</div>
</main>
@endsection

@if(Auth::User()->privilege())
	@push('scripts')

	<script src="{{ asset('js/plugins/bootstrap-datepicker.min.js') }}"></script>
	<script src="{{ asset('js/plugins/select2.min.js') }}"></script>
	<script src="{{ asset('js/plugins/bootstrap-datepicker.min.js') }}"></script>

	<script type="text/javascript">

		$( document ).ready(function() {

			$('#expected_to_close').datepicker({
				format: "dd-mm-yyyy",
				autoclose: true,
				todayHighlight: true,
				startDate: "today",
				// // endDate: "today",
			});

		});

	</script>

	@endpush
@endif